Table of Contents

Module: observable | Twisted-0.19.0/twisted/python/observable.py
--- | ---
A group of classes which implement the observer/observable and publisher/subscriber pattern.
Imported modules |
--- | ---
import copy import log import reflect import string import sys import types
Functions |
propertize registerWhenMethods
| propertize
    propertize (
            self,
            observer,
            key,
            prop,
            )
Exceptions |
--- | ---
p
| registerWhenMethods
    registerWhenMethods ( Class )
Classes |
Delegator |
Dynamic |
EventSource |
Hash |
Observable |
Publisher |
Subscriber |
WhenMethodSubscription | This is a helper class to make the whole concept of when_
_DontTell |
_Gone |

Table of Contents

This document was automatically generated on Sun Jul 14 19:53:11 2002 by HappyDoc version 2.0